com.mapinfo.midev.style

## Class IFont.TextEffect

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.style.IFont.TextEffect

All Implemented Interfaces:
  Serializable, Comparable

Enclosing interface:
  IFont

    public static final class IFont.TextEffect
    extends Enum

Controls whether the text is to be rendered using any effects like halo, box or glyph_outline .

See Also:
  Serialized Form

### Field Summary

Fields
`static IFont.TextEffect` `BOX` Box effect.
`static IFont.TextEffect` `GLYPH_OUTLINE` glyph_outline effect.
`static IFont.TextEffect` `HALO` Halo effect.
`static IFont.TextEffect` `NONE` No effect.

### Method Summary

All Methods Static Methods Concrete Methods
`static IFont.TextEffect` `valueOf(String name)`
`static IFont.TextEffect[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NONE

    public static final IFont.TextEffect NONE

No effect.

#### BOX

    public static final IFont.TextEffect BOX

Box effect.

#### HALO

    public static final IFont.TextEffect HALO

Halo effect.

#### GLYPH_OUTLINE

    public static final IFont.TextEffect GLYPH_OUTLINE

glyph_outline effect.

### Method Detail

#### values

    public static IFont.TextEffect[] values()

#### valueOf

    public static IFont.TextEffect valueOf(String name)